# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++ perl(CGI.pm) perl(Exporter.pm) perl(IO/File.pm) perl(Storable.pm) perl(Test.pm) perl(diagnostics.pm) perl-devel perl-podlators
# END SourceDeps(oneline)

Name:		perl-GO-TermFinder
Version:	0.82
Release:	alt2_13
Summary:	Identify GO nodes that annotate a group of genes with a significant p-value
License:	MIT
Group:		Development/Perl
URL:		http://search.cpan.org/dist/Go-TermFinder/
Source0:	http://www.cpan.org/authors/id/S/SH/SHERLOCK/GO-TermFinder-%{version}.tar.gz
BuildRequires:	perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
BuildRequires:	perl(GD.pm) perl(GraphViz.pm)

Requires:	perl(Storable.pm) perl(GD.pm) perl(GraphViz.pm) perl(CGI.pm)

# Filter out perl(Hang) and perl(NullHang) auto-provides.
Source99:	GO-TermFinder-filter-provides.sh

%global real_perl_provides %{__perl_provides}
%define __perl_provides %{_var}/tmp/%{name}-%{version}-%{release}-%(%{__id_u} -n)-filter-provides
Source44: import.info

%description
This package is intended to provide a method whereby the P-values of a set
of GO annotations can be determined for a set of genes, based on the number
of genes that exist in the particular genome (or in a selected background
distribution from the genome), and their annotation, and the frequency with
which the GO nodes are annotated across the provided set of genes. The
P-value is simply calculated using the hypergeometric distribution as the
probability of x or more out of n genes having a given annotation, given
that G of N have that annotation in the genome in general. We chose the
hypergeometric distribution (sampling without replacement) since it is more
accurate, though slower to calculate, than the binomial distribution
(sampling with replacement).

%prep
%setup -q -n GO-TermFinder-%{version}
chmod a-x lib/GO/TermFinder.pm Changes README

sed -e 's,@@PERL_PROV@@,%{real_perl_provides},' %{SOURCE99} > %{__perl_provides}
chmod +x %{__perl_provides}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.bs" -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
find $RPM_BUILD_ROOT -type f -name "*.pm" -exec chmod 644 {} \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
# this test seems to have issues with being unable to resolve the builder's
# hostname inside mock.
%{?!_with_termfinder_native: rm t/GO-TermFinder-Native.t }
make test

%files
%doc Changes README
%{perl_vendorarch}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.82-alt2_13
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.82-alt2_12
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.82-alt1_12
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.82-alt1_10
- fc import

